Sent Messages
Get Sent Message GET /sent-messages/{outboundId}
List Sent Messages GET /sent-messages
Get Sent Message Analytics GET /sent-messages/{outboundId}/analytics
List Sent Message Reply GET /sent-messages/{outboundId}/replies
Get Sent Message Geo Analytics GET /sent-messages/{outboundId}/geo-analytics
Get Sent Message Responder Ids GET /sent-messages/{outboundId}/replies/subscriber-ids
Get Delivery Report GET /sent-messages/{outboundId}/delivery-report
Success
BadRequestError
UnauthorizedError
ForbiddenError
InternalServerError
GET /v3/sent-messages/{outboundId}?isMMS=text HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true,
"error": "text",
"message": "text",
"data": {
"id": 1,
"recipients": [
"text"
],
"message": "text",
"url": "text",
"timestamp": "text",
"error": "text",
"sentById": 1,
"sentBy": "text",
"threadId": 1,
"externalId": "text",
"fromNumber": 1,
"isMMS": true,
"longcodeId": 1,
"allSubscribers": true,
"groupIds": [
1
],
"subscriberIds": [
1
],
"creditsUsed": 1,
"recipientCount": 1,
"emailRecipientCount": 1,
"deliveryCountSummary": {
"sendingCount": 1,
"sentCount": 1,
"deliveredCount": 1,
"landlineCount": 1,
"invalidNumberCount": 1,
"rejectedByCarrierCount": 1,
"blockedCount": 1,
"unconfirmedCount": 1
},
"creditBreakdown": {
"ANY_ADDITIONAL_PROPERTY": {
"creditsUsed": 1,
"recipientCount": 1
}
},
"campaignId": 1,
"autoTriggered": 1
}
}Success
BadRequestError
UnauthorizedError
ForbiddenError
InternalServerError
GET /v3/sent-messages HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true,
"error": "text",
"message": "text",
"data": {
"rows": [
{
"id": 1,
"message": "text",
"url": "text",
"isMMS": true,
"recipientDescription": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"sentBy": "text",
"autoTriggered": true,
"recipientCount": 1,
"creditsUsed": 1,
"messagesSent": 1,
"externalId": "text",
"fromNumber": 1,
"emailRecipientCount": 1,
"processedCount": 1,
"groups": [
{
"id": 1,
"name": "text"
}
],
"source": "control-panel",
"senderName": "text"
}
],
"page": 1,
"pageSize": 1,
"total": 1
}
}Success
BadRequestError
UnauthorizedError
ForbiddenError
InternalServerError
GET /v3/sent-messages/{outboundId}/analytics HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true,
"error": "text",
"message": "text",
"data": {
"recipientCount": 1,
"linkId": 1,
"clickCount": 1,
"replyCount": 1,
"unsubscribeCount": 1,
"trackingEnabled": true,
"timespanAnalytics": [
{
"ANY_ADDITIONAL_PROPERTY": {
"clickCount": 1,
"replyCount": 1,
"unsubscribeCount": 1
}
}
],
"campaign": {
"id": 1,
"name": "text"
}
}
}Success
BadRequestError
UnauthorizedError
ForbiddenError
InternalServerError
GET /v3/sent-messages/{outboundId}/replies HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true,
"error": "text",
"message": "text",
"data": {
"rows": [
{
"message": "text",
"number": 1,
"replyDate": "2026-01-01T00:00:00.000Z",
"subscriberId": 1,
"fromNumber": 1,
"attachmentUrl": "text",
"senderName": "text",
"carrier": "text",
"messageProfile": "text"
}
],
"page": 1,
"pageSize": 1,
"total": 1
}
}Success
BadRequestError
UnauthorizedError
ForbiddenError
InternalServerError
GET /v3/sent-messages/{outboundId}/geo-analytics HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true,
"error": "text",
"message": "text",
"data": {
"rows": [
{
"id": 1,
"area": "text",
"areaCodes": [
"text"
],
"sentCount": 1,
"clickCount": 1,
"replyCount": 1,
"unsubscribeCount": 1
}
],
"page": 1,
"pageSize": 1,
"total": 1,
"hasShortLink": true
}
}Success
BadRequestError
UnauthorizedError
ForbiddenError
InternalServerError
GET /v3/sent-messages/{outboundId}/replies/subscriber-ids HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true,
"error": "text",
"message": "text",
"data": [
{
"subscriberId": 1
}
]
}Success
BadRequestError
UnauthorizedError
ForbiddenError
InternalServerError
GET /v3/sent-messages/{outboundId}/delivery-report HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true,
"error": "text",
"message": "text",
"data": {
"rows": [
{
"id": 1,
"firstName": "text",
"lastName": "text",
"number": "text",
"email": "text",
"deliveryStatus": "text"
}
],
"page": 1,
"pageSize": 1,
"total": 1
}
}Last updated
Was this helpful?